/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.worksalaryitem.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 工资项Entity
 * @author ssrh
 * @version 2018-09-17
 */
public class WorkSalaryItem extends DataEntity<WorkSalaryItem> {
	
	private static final long serialVersionUID = 1L;
	private String companyId;		// 公司
	private String officeId;		// 部门
	private String name;		// 工资项名称
	private String num;		// 工资项编号
	private String type;		// 工资项类型
	private String setMethod;		// 设置方式
	private String state;		// 禁用状态(1禁用2启用)
	private String formula;		// 计算公式
	private String explanation;		// 说 明
	private String ids;		// 备用
	
	public WorkSalaryItem() {
		super();
	}

	public WorkSalaryItem(String id){
		super(id);
	}

	@ExcelField(title="公司", align=2, sort=7)
	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}
	
	@ExcelField(title="部门", align=2, sort=8)
	public String getOfficeId() {
		return officeId;
	}

	public void setOfficeId(String officeId) {
		this.officeId = officeId;
	}
	
	@ExcelField(title="工资项名称", align=2, sort=9)
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
	@ExcelField(title="工资项编号", align=2, sort=10)
	public String getNum() {
		return num;
	}

	public void setNum(String num) {
		this.num = num;
	}
	
	@ExcelField(title="工资项类型", align=2, sort=11)
	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}
	
	@ExcelField(title="设置方式", align=2, sort=12)
	public String getSetMethod() {
		return setMethod;
	}

	public void setSetMethod(String setMethod) {
		this.setMethod = setMethod;
	}
	
	@ExcelField(title="禁用状态", align=2, sort=13)
	public String getState() {
		return state;
	}

	public void setState(String state) {
		this.state = state;
	}
	
	@ExcelField(title="计算公式", align=2, sort=14)
	public String getFormula() {
		return formula;
	}

	public void setFormula(String formula) {
		this.formula = formula;
	}
	
	@ExcelField(title="说 明", align=2, sort=15)
	public String getExplanation() {
		return explanation;
	}

	public void setExplanation(String explanation) {
		this.explanation = explanation;
	}
	
	@ExcelField(title="备用", align=2, sort=16)
	public String getIds() {
		return ids;
	}

	public void setIds(String ids) {
		this.ids = ids;
	}
	
}